All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::result_of::value_type< T > Struct Template Reference

Generic helper function for retrieving the value_type associated with type T. More...

`#include <result_of.hpp>`

## Public Types

typedef T::value_type | type

## Detailed Description

### template<typename T>
struct viennacl::result_of::value_type< T >

Generic helper function for retrieving the value_type associated with type T.

Definition at line 211 of file result_of.hpp.

## Member Typedef Documentation

template<typename T>

typedef T::value_type viennacl::result_of::value_type< T >::type

Definition at line 213 of file result_of.hpp.

The documentation for this struct was generated from the following file:

- viennacl/meta/result_of.hpp